Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_get_query_factory

## Name

librdf_get_query_factory -- Get a query factory by name

## Synopsis

``librdf_query_factory* `librdf_get_query_factory`` (const char * `name`, librdf_uri * `uri`);`

## Arguments

`name`

  the factory name or NULL for the default factory

`uri`

  the factory URI or NULL for the default factory

## Return value

the factory object or NULL if there is no such factory

<<< Previous | Home | Next >>>
librdf_query_register_factory | Up | librdf_new_query